Files

Check FileData Upload Status

GET
/file/{fileId}/{versionId}/{fileType}/status

Retrieves the upload status for file upload. Can currently only be accessed when status is waiting. Trying to access it on a file version already uploaded currently times out.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

fileId*string

Must be a valid file ID.

versionId*integer

Version ID of the asset.

Range1 <= value
fileType*string

Type of file.

Value in"delta" | "file" | "signature"

Response Body

application/json

curl -X GET "https://api.vrchat.cloud/api/1/file/file_00000000-0000-0000-0000-000000000000/1/file/status"
{
  "etags": [],
  "fileName": "Avatar-MyAvatar-Un.file_00000000-0000-0000-0000-000000000000.1.unitypackage",
  "maxParts": 1000,
  "nextPartNumber": 0,
  "parts": [],
  "uploadId": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxxxxx.xxxxxxx_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx..xxxxxxxxxxxxxxxxxxxxxxx"
}